#include<iostream>
#include<cstring>
using namespace std;

void ch(long long);

int main(){
    long long N;
    cin>>N;
    ch(N);
    return 0;
}

void ch(long long N){
    if(N==0 || N==1){
        cout<<-1;
    }else{
        long long br1=0,br7=0;
        while(N!=0){
            if(N-2>1 || N==2){
                br1++;
                N-=2;
            }else{
                br7++;
                N-=3;
            }
        }
        for(long long i=0;i<br7;i++){
            cout<<7;
        }
        for(long long i=0;i<br1;i++){
            cout<<1;
        }
    }
    cout<<endl;
}
